package emps.v3_funkcyjnie;

import java.util.List;
import java.util.stream.Collectors;

public class F3_SredniaWszystkich {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        
        double srednia = emps.stream()
            .mapToInt(Employee::getSalary)
            .average()
            .orElse(0);
        System.out.println("Średnia pensja wszystkich: " + srednia);
        
        double srednia2 = emps.stream().collect(Collectors.averagingInt(Employee::getSalary));
        System.out.println("Średnia pensja wszystkich: " + srednia2);
    }

}

